## ros-indigo-moveit-resources 0.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_resources)

find_package(catkin REQUIRED)

file(MAKE_DIRECTORY "${CATKIN_DEVEL_PREFIX}/include")
catkin_package(INCLUDE_DIRS include "${CATKIN_DEVEL_PREFIX}/include")

# devel space file
set(MOVEIT_TEST_RESOURCES_DIR ${CMAKE_CURRENT_SOURCE_DIR})
configure_file("include/${PROJECT_NAME}/config.h.in" "${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/config.h")

# install space file
set(MOVEIT_TEST_RESOURCES_DIR ${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION})
configure_file("include/${PROJECT_NAME}/config.h.in" "${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/.config_install.h")

install(
  DIRECTORY pr2_description fanuc_description
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(
  FILES "${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/.config_install.h"
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  RENAME "config.h")

# fanuc moveit config
install(DIRECTORY fanuc_moveit_config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-moveit-resources (0.6.2-0trusty) trusty; urgency=high

  * [fix] Missing license to fanuc pkgs imported from ros-industrial/fanuc. #11 <https://github.com/ros-planning/moveit_resources/issues/11>. (#12 <https://github.com/ros-planning/moveit_resources/issues/12>)
  * [fix] Missing run depends for [robot|joint]_state_publisher (#14 <https://github.com/ros-planning/moveit_resources/issues/14>)
  * [fix] Correct warehouse ros mongo (#13 <https://github.com/ros-planning/moveit_resources/issues/13>)
  * [improve] test chomp (#10 <https://github.com/ros-planning/moveit_resources/issues/10>)
  * Contributors: Chittaranjan Srinivas Swaminathan, Dave Coleman, G.A. vd. Hoorn, kirstyellis

 -- Dave Coleman <dave@dav.ee>  Fri, 07 Apr 2017 07:00:00 -0000

ros-indigo-moveit-resources (0.6.1-0trusty) trusty; urgency=high

  * [sys] Added Fanuc robot model (m10ia) for system testing. Improve README (#7 <https://github.com/ros-planning/moveit_resources/issues/7>, #8 <https://github.com/ros-planning/moveit_resources/issues/8>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Sat, 27 Aug 2016 07:00:00 -0000

ros-indigo-moveit-resources (0.6.0-0trusty) trusty; urgency=high

  * Don't make include dir into build
  * Place include folder in the devel space instead of the build space
    fixes #5 .
  * Add travis indicator
  * added branch name to build status
  * added travis build status indicator in README.md
  * Merge pull request #3 from ros-planning/add-travis
    added travis support
  * Contributors: Dave Coleman, Dave Hershberger, Nantas Nardelli, isucan

 -- Ioan Sucan <isucan@willowgarage.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-resources (0.5.0-0trusty) trusty; urgency=high

  * bump version for hydro

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 30 Jul 2013 07:00:00 -0000

ros-indigo-moveit-resources (0.4.1-0trusty) trusty; urgency=high

  * fix for missing include path
  * fix for missing config.h

 -- Ioan Sucan <isucan@willowgarage.com>  Wed, 03 Jul 2013 07:00:00 -0000

ros-indigo-moveit-resources (0.4.0-0trusty) trusty; urgency=high

  * fix config.h so it is not created in the source dir

 -- Ioan Sucan <isucan@willowgarage.com>  Fri, 24 May 2013 07:00:00 -0000

ros-indigo-moveit-resources (0.3.1-0trusty) trusty; urgency=high

  * create config file with location of test resources

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 20 May 2013 07:00:00 -0000

ros-indigo-moveit-resources (0.3.0-0trusty) trusty; urgency=high

  * change robot name to "pr2" to match urdf

 -- Ioan Sucan <isucan@willowgarage.com>  Sat, 09 Mar 2013 08:00:00 -0000

ros-indigo-moveit-resources (0.2.0-0trusty) trusty; urgency=high

  * bump version
  * update urdf

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 15 Jan 2013 08:00:00 -0000

ros-indigo-moveit-resources (0.1.1-0trusty) trusty; urgency=high

  * fix buildtool tag

 -- Ioan Sucan <isucan@willowgarage.com>  Thu, 20 Dec 2012 08:00:00 -0000

ros-indigo-moveit-resources (0.1.0-0trusty) trusty; urgency=high

  * add build system
  * adding test resources
  * Update README.md
  * Update README.md
  * Initial commit

 -- Ioan Sucan <isucan@willowgarage.com>  Thu, 13 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-moveit-resources
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-resources
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-robot-state-publisher
Description: Resources used for MoveIt! testing

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-resources//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
